<main *ngIf="infoAuth.token">
    <h3>Dashboard</h3>
<app-add-dashboard *ngIf="modalService.isModalOpen"
(newItemEvent)="addItem($event)"
></app-add-dashboard>
<app-update-dashboard *ngIf="modalService.isModalOpenUpdate"
[item]="currentItem"
(newItemUpdate)="updateItem($event)"
></app-update-dashboard>
<app-filter-sort-zone
[(inputData)]="input"
[(SortbyParam)]="SortbyParam" 
[(SortDirection)]="SortDirection">
</app-filter-sort-zone> 
<div class="wrapper">
    <button type="button" 
    class="btn-add"
    (click)="modalService.isModalOpen=true">Add new</button>
<div *ngIf="items$ | async as items" class="boards-container"> 
<app-item
*ngFor="let item of items | filterBoards: input | sortBoards: [SortbyParam,SortDirection]"
(deleteItemEvent)="deleteItem($event)"
 [item]="item"></app-item>
</div>
</div>     
</main>


   


   

